<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::Utility Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">Utility</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_utility-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::Utility Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This class contains statics methods qualified as utility (not specific to 1 class)  
 <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_utility_8hpp_source.html">Utility.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:acd7212ca96ea54fd30878aa9808665b3"><td class="memItemLeft" align="right" valign="top"><a id="acd7212ca96ea54fd30878aa9808665b3"></a>
typedef tuple&lt; int, int, int, int, int, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>dtTuple</b></td></tr>
<tr class="separator:acd7212ca96ea54fd30878aa9808665b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ad27148ac82287e9cbd731fdf7e2555dd"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ad27148ac82287e9cbd731fdf7e2555dd">ClearTerminal</a> ()</td></tr>
<tr class="memdesc:ad27148ac82287e9cbd731fdf7e2555dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the terminal display.  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#ad27148ac82287e9cbd731fdf7e2555dd">More...</a><br /></td></tr>
<tr class="separator:ad27148ac82287e9cbd731fdf7e2555dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ffbfc47c840ca80e1a77ca6e5c02fc3"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a7ffbfc47c840ca80e1a77ca6e5c02fc3">WaitEnterForContinue</a> (bool showMsg=true)</td></tr>
<tr class="memdesc:a7ffbfc47c840ca80e1a77ca6e5c02fc3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait for the users press enter in the terminal.  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#a7ffbfc47c840ca80e1a77ca6e5c02fc3">More...</a><br /></td></tr>
<tr class="separator:a7ffbfc47c840ca80e1a77ca6e5c02fc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17cac406bb4a5448b560e85f9695d583"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a17cac406bb4a5448b560e85f9695d583">LeftPadding</a> (int totalLength, string text)</td></tr>
<tr class="memdesc:a17cac406bb4a5448b560e85f9695d583"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add space at the left of the text, to spacfor padding the text.  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#a17cac406bb4a5448b560e85f9695d583">More...</a><br /></td></tr>
<tr class="separator:a17cac406bb4a5448b560e85f9695d583"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15ee8386805086e925b34467e953744f"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a15ee8386805086e925b34467e953744f">LeftPadding</a> (int totalLength, char character)</td></tr>
<tr class="memdesc:a15ee8386805086e925b34467e953744f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add space at the left of the text, to spacfor padding the text.  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#a15ee8386805086e925b34467e953744f">More...</a><br /></td></tr>
<tr class="separator:a15ee8386805086e925b34467e953744f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1aace0bbdcc67ac828a06db6354fd61"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ab1aace0bbdcc67ac828a06db6354fd61">TabShift</a> (int qty)</td></tr>
<tr class="memdesc:ab1aace0bbdcc67ac828a06db6354fd61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a string of "qty" tab (\t)  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#ab1aace0bbdcc67ac828a06db6354fd61">More...</a><br /></td></tr>
<tr class="separator:ab1aace0bbdcc67ac828a06db6354fd61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa246321019a4f82f912c1d22ac9c00f0"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#aa246321019a4f82f912c1d22ac9c00f0">CenterTextWithSpace</a> (int length, string text)</td></tr>
<tr class="memdesc:aa246321019a4f82f912c1d22ac9c00f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate the padding left to center the text between a length Only the space in the left are added.  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#aa246321019a4f82f912c1d22ac9c00f0">More...</a><br /></td></tr>
<tr class="separator:aa246321019a4f82f912c1d22ac9c00f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5aaa8b8736d40ebf688e48e9abff1828"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a5aaa8b8736d40ebf688e48e9abff1828">GetBorder</a> (int length, string border)</td></tr>
<tr class="memdesc:a5aaa8b8736d40ebf688e48e9abff1828"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a horizontal border (line)  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#a5aaa8b8736d40ebf688e48e9abff1828">More...</a><br /></td></tr>
<tr class="separator:a5aaa8b8736d40ebf688e48e9abff1828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab772e56b2cece950f5b0bbba70008970"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ab772e56b2cece950f5b0bbba70008970">GetTextLine</a> (int length, string border, string text, bool center=false)</td></tr>
<tr class="memdesc:ab772e56b2cece950f5b0bbba70008970"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the string of a line with left and right (like : - text - )  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#ab772e56b2cece950f5b0bbba70008970">More...</a><br /></td></tr>
<tr class="separator:ab772e56b2cece950f5b0bbba70008970"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49d2ed8748b4a0242d5ac72911181951"><td class="memItemLeft" align="right" valign="top">static dtTuple&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a49d2ed8748b4a0242d5ac72911181951">GetDateTimeFromSysClock</a> (const chrono::system_clock::time_point clock)</td></tr>
<tr class="memdesc:a49d2ed8748b4a0242d5ac72911181951"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Date and the Time From chrono System_clock.  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#a49d2ed8748b4a0242d5ac72911181951">More...</a><br /></td></tr>
<tr class="separator:a49d2ed8748b4a0242d5ac72911181951"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a818b72ff6a9d889d17d5887bc09c6be6"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a818b72ff6a9d889d17d5887bc09c6be6">dtTupleToString</a> (dtTuple dt)</td></tr>
<tr class="memdesc:a818b72ff6a9d889d17d5887bc09c6be6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a string of the dtTuple (format will be YY-MM-DD_HH-MM-SS)  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#a818b72ff6a9d889d17d5887bc09c6be6">More...</a><br /></td></tr>
<tr class="separator:a818b72ff6a9d889d17d5887bc09c6be6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51b62483a99745fed9691dae9316a79a"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a51b62483a99745fed9691dae9316a79a"><td class="memTemplItemLeft" align="right" valign="top">static list&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a51b62483a99745fed9691dae9316a79a">VectToList</a> (vector&lt; T &gt; src)</td></tr>
<tr class="memdesc:a51b62483a99745fed9691dae9316a79a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert a vector to list.  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#a51b62483a99745fed9691dae9316a79a">More...</a><br /></td></tr>
<tr class="separator:a51b62483a99745fed9691dae9316a79a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae198c4ca91f71de1174a1b6e4ca1f6f6"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ae198c4ca91f71de1174a1b6e4ca1f6f6"><td class="memTemplItemLeft" align="right" valign="top">static vector&lt; T &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ae198c4ca91f71de1174a1b6e4ca1f6f6">distinctVector</a> (vector&lt; T &gt; source)</td></tr>
<tr class="memdesc:ae198c4ca91f71de1174a1b6e4ca1f6f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a copy of the vector with unique value (remove duplicate) (copy will be ordered)  <a href="class_he___arc_1_1_r_p_g_1_1_utility.html#ae198c4ca91f71de1174a1b6e4ca1f6f6">More...</a><br /></td></tr>
<tr class="separator:ae198c4ca91f71de1174a1b6e4ca1f6f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class contains statics methods qualified as utility (not specific to 1 class) </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aa246321019a4f82f912c1d22ac9c00f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa246321019a4f82f912c1d22ac9c00f0">&#9670;&nbsp;</a></span>CenterTextWithSpace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string Utility::CenterTextWithSpace </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>text</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Calculate the padding left to center the text between a length Only the space in the left are added. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">length</td><td>Total length of the sequencence </td></tr>
    <tr><td class="paramname">text</td><td>Text to center </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>string text centered with space on the left </dd></dl>

</div>
</div>
<a id="ad27148ac82287e9cbd731fdf7e2555dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad27148ac82287e9cbd731fdf7e2555dd">&#9670;&nbsp;</a></span>ClearTerminal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Utility::ClearTerminal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Clear the terminal display. </p>
<dl class="section remark"><dt>Remarks</dt><dd>Actually, the clear is only add empty line X times Didn't use any terminal clear (not found, except with lose OS compability) </dd></dl>

</div>
</div>
<a id="ae198c4ca91f71de1174a1b6e4ca1f6f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae198c4ca91f71de1174a1b6e4ca1f6f6">&#9670;&nbsp;</a></span>distinctVector()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static vector&lt;T&gt; He_Arc::RPG::Utility::distinctVector </td>
          <td>(</td>
          <td class="paramtype">vector&lt; T &gt;&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a copy of the vector with unique value (remove duplicate) (copy will be ordered) </p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>The type of content of the vector </td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">src</td><td>The vector source to remove duplicate </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>vector&lt;T&gt; A sorted copy of the source without duplicate value </dd></dl>

</div>
</div>
<a id="a818b72ff6a9d889d17d5887bc09c6be6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a818b72ff6a9d889d17d5887bc09c6be6">&#9670;&nbsp;</a></span>dtTupleToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string Utility::dtTupleToString </td>
          <td>(</td>
          <td class="paramtype">dtTuple&#160;</td>
          <td class="paramname"><em>dt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a string of the dtTuple (format will be YY-MM-DD_HH-MM-SS) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dt</td><td>the date time tuple to convert </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>string the string of the date and time </dd></dl>

</div>
</div>
<a id="a5aaa8b8736d40ebf688e48e9abff1828"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5aaa8b8736d40ebf688e48e9abff1828">&#9670;&nbsp;</a></span>GetBorder()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string Utility::GetBorder </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>border</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a horizontal border (line) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">length</td><td>length (nb of character) of the border </td></tr>
    <tr><td class="paramname">border</td><td>character(s) used to do the border (if more than 1 character, it would be count as 1 according to the lenght) </td></tr>
  </table>
  </dd>
</dl>
<dl class="section remark"><dt>Remarks</dt><dd>use a string to be more flexing with the type of border and allow to use special UTF8 character </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>string the border </dd></dl>

</div>
</div>
<a id="a49d2ed8748b4a0242d5ac72911181951"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49d2ed8748b4a0242d5ac72911181951">&#9670;&nbsp;</a></span>GetDateTimeFromSysClock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Utility::dtTuple Utility::GetDateTimeFromSysClock </td>
          <td>(</td>
          <td class="paramtype">const chrono::system_clock::time_point&#160;</td>
          <td class="paramname"><em>clock</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the Date and the Time From chrono System_clock. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">clock</td><td>The source of the date and time </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>tuple&lt;int, int, int, int, int, int&gt; 1st : year 2nd : month 3nd : day 4nd : hour 5nd : min 6nd : sec </dd></dl>

</div>
</div>
<a id="ab772e56b2cece950f5b0bbba70008970"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab772e56b2cece950f5b0bbba70008970">&#9670;&nbsp;</a></span>GetTextLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string Utility::GetTextLine </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>border</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>center</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the string of a line with left and right (like : - text - ) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">length</td><td>Size (in character) of the menu (left and right border included) </td></tr>
    <tr><td class="paramname">border</td><td>Character(s) used to draw the border of the menu </td></tr>
    <tr><td class="paramname">text</td><td>Text to write </td></tr>
    <tr><td class="paramname">center</td><td>True : the text will be centered False : the text will be left aligned</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The line of the text, with left and right border </dd></dl>

</div>
</div>
<a id="a15ee8386805086e925b34467e953744f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15ee8386805086e925b34467e953744f">&#9670;&nbsp;</a></span>LeftPadding() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string Utility::LeftPadding </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>totalLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>character</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Add space at the left of the text, to spacfor padding the text. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">totalLength</td><td>Total Length of the sequence (total len is 10, add 9 space) </td></tr>
    <tr><td class="paramname">character</td><td>character to add left padding </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>string character with left padding </dd></dl>

</div>
</div>
<a id="a17cac406bb4a5448b560e85f9695d583"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17cac406bb4a5448b560e85f9695d583">&#9670;&nbsp;</a></span>LeftPadding() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string Utility::LeftPadding </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>totalLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>text</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Add space at the left of the text, to spacfor padding the text. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">totalLength</td><td>Total Length of the sequence (if text is 3 char, and total len is 10, add 7 space) </td></tr>
    <tr><td class="paramname">text</td><td>Text to add left padding </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>string Text with left padding </dd></dl>

</div>
</div>
<a id="ab1aace0bbdcc67ac828a06db6354fd61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1aace0bbdcc67ac828a06db6354fd61">&#9670;&nbsp;</a></span>TabShift()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string Utility::TabShift </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>qty</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Create a string of "qty" tab (\t) </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">qty</td><td>Quantity of \t </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>string the string with \t </dd></dl>

</div>
</div>
<a id="a51b62483a99745fed9691dae9316a79a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51b62483a99745fed9691dae9316a79a">&#9670;&nbsp;</a></span>VectToList()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static list&lt;T&gt; He_Arc::RPG::Utility::VectToList </td>
          <td>(</td>
          <td class="paramtype">vector&lt; T &gt;&#160;</td>
          <td class="paramname"><em>src</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Convert a vector to list. </p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">T</td><td>The type of content of the vector </td></tr>
  </table>
  </dd>
</dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">src</td><td>The vector source to convert </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>list&lt;T&gt; A list of the same type content as the source vector </dd></dl>

</div>
</div>
<a id="a7ffbfc47c840ca80e1a77ca6e5c02fc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ffbfc47c840ca80e1a77ca6e5c02fc3">&#9670;&nbsp;</a></span>WaitEnterForContinue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Utility::WaitEnterForContinue </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>showMsg</em> = <code>true</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Wait for the users press enter in the terminal. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">showMsg</td><td>if true, display the message "press enter to continue" </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>cpp_filrouge_iscj_allemann/include/<a class="el" href="_utility_8hpp_source.html">Utility.hpp</a></li>
<li>cpp_filrouge_iscj_allemann/src/Utility.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
